<?php

/**
 * @file
 * Defines the MaPS Log Broken class.
 */

namespace Drupal\maps\Log;

use Drupal\maps\Log\Context\ContextInterface;
use Drupal\maps\Log\Observer\ObserverInterface;

/**
 * Maps Log Broken class.
 *
 * Used for simple watchdog log.
 */
class Broken implements LogInterface {

  /**
   * @inheritdoc
   */
  public function addContext(ContextInterface $context, $type = 'sibling') {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function addMessage($text, $level = WATCHDOG_DEBUG, array $variables = array(), $backtrace = FALSE, $links = array()) {
    watchdog('maps', $text, $variables, $level, array_shift($links));
  }

  /**
   * @inheritdoc
   */
  public function moveToParent($contextType = NULL) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function clearAndAddMessage($text, $level = WATCHDOG_DEBUG, array $variables = array(), $backtrace = FALSE, $links = array()){
    $this->addMessage($text, $level, $variables, $backtrace, $links);
  }

  /**
   * @inheritdoc
   */
  public function deleteMessages() {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function addObserver(ObserverInterface $observer) {}

  /**
   * @inheritdoc
   */
  public function addMessageFromException(\Exception $e, array $links = array()) {}

  /**
   * @inheritdoc
   */
  public function __toString() {
    return '';
  }

  /**
   * @inheritdoc
   */
  public function moveToContentRoot() {
    return $this;
  }


}
