<?php

/**
 * @file
 * Defines the MaPS Log Observer interface.
 */

namespace Drupal\maps\Log\Observer;

use Drupal\maps\Log;

/**
 * MaPS Log Observer interface.
 */
interface ObserverInterface {

  /**
   * Dispatch the log information on any desired service, as email or database log...
   */
  public function dispatchLog(Log\LogInterface $log);

  /**
   * Dispatch log information, assuming the log related operations are not entirely
   * performed.
   *
   * @see ObserverInterface::dispatchLog()
   */
  public function dispatchPartialLog(Log\LogInterface $log);

}
