<?php

/**
 * @file
 * Child Converter interface.
 */

namespace Drupal\maps_import\Converter\Child;

use Drupal\maps_import\Converter\ConverterInterface;

interface ChildInterface {

  /**
   * Set the parent converter cid.
   *
   * @param $parent
   *   The parent converter.
   */
  public function setParentId($parentId);

  /**
   * Return the parent converter.
   *
   * @return int
   */
  public function getParentId();

  /**
   * Load and return the parent converter.
   *
   * @return Drupal\maps_import\Converter\ConverterInterface
   */
  public function getParent();

  /**
   * @inheritdoc
   */
  public function getUid();
  /**
   * Overriden method.
   * Always return ParentConverter\ConverterInterface::SCOPE_INHERIT
   */
  public function getUidScope();

}
