<?php

/**
 * @file
 * Child converter class for link converters.
 */

namespace Drupal\maps_import\Converter\Child;
use Drupal\maps_import\Converter as ParentConverter;

class Media extends ParentConverter\Media implements ChildInterface {
  
  /**
   * The parent converter.
   *
   * @var ConverterInterface
   */
  private $parentId;

  /**
   * @inheritdoc
   */
  public function setParentId($parentId) {
    $this->parentId = (int) $parentId;
  }

  /**
   * @inheritdoc
   */
  public function getParentId() {
    return (int) $this->parentId;
  }

  /**
   * @inheritdoc
   */
  public function getParent() {
    return maps_import_converter_load($this->getParentId());
  }

  /**
   * @inheritdoc
   */
  public function getUid() {
    return $this->getParent()->getUid() . ':' . $this->getCid();
  }

  /**
   * @inheritdoc
   */
  public function getUidScope() {
    return ParentConverter\ConverterInterface::SCOPE_INHERIT;
  }
  
}
