<?php

/**
 * @file
 * Class that defines operation on MaPS Object's library attribute.
 */

namespace Drupal\maps_import\Mapping\Source\MapsSystem\Attribute;

use Drupal\maps_import\Mapping\Source\MapsSystem\EntityInterface;

class Library extends Attribute {
	
  public function processValues($values, EntityInterface $entity) {
    $libraryIndex = db_select('maps_import_library_index', 'li')
      ->fields('li')
      ->condition('pid', $entity->getProfile()->getPid())
      ->execute()
      ->fetchAllAssoc('id', \PDO::FETCH_ASSOC);
      
    foreach ($values as $key => $value) {
      foreach ($value as $multiple => $multiple_value) {
        $values[$key][$multiple] = $libraryIndex[$multiple]['tid'];          
      }
    }

    return $values;
  }
	
}
