<?php

/**
 * @file
 * Class that defines operation on MaPS Object's object attribute.
 */

namespace Drupal\maps_import\Mapping\Source\MapsSystem\Attribute;

use Drupal\maps_import\Mapping\Source\MapsSystem\EntityInterface; 

class Object extends Attribute {

  /**
   * Load an object attribute from database
   *
   * @param $id
   *   The object id.
   *   
   * @return array  
   *   The loaded object.
   */
  public function loadObjectAttribute($id) {
    $query = db_query('
    	SELECT DISTINCT(e.entity_id) FROM {maps_import_entities} e, {maps_import_object_ids} oi 
    	WHERE oi.maps_id = :id 
    	AND oi.correspondence_id = e.id
    ', array(':id' => $id));
    
    $result = $query->fetchAssoc();
    return $result['entity_id'];
  }
  
  /**
   * @inheritdoc
   */
  public function processValues($values, EntityInterface $entity) {
    foreach ($values as $key => $value) {
      
//      if ($this->isMultiple()) {
        foreach ($value as $multiple => $multiple_value) {
          $values[$key][$multiple] = $this->loadObjectAttribute($multiple_value);          
        }
//      }
//      else {
//        $values[$key] = $this->loadObjectAttribute($value);      
//      }
    }
    
    return $values;
  }
  
}
