<?php

/**
 * @file
 * Define the "parent id" MaPS System property.
 */

namespace Drupal\maps_import\Mapping\Source\MapsSystem\Property;

use Drupal\maps_import\Mapping\Source\MapsSystem\EntityInterface;
use Drupal\maps_import\Mapping\Mapping;

class ParentId extends Property {

	/**
   * @inheritdoc
   */
	protected $typeCode = 'int'; 
	
  /**
   * @inheritdoc
   * @todo use uid scope in request ?
   */
  public function processValues($values, EntityInterface $entity) {
    $return = array();

    foreach ($entity->getRelatedEntities() as $relatedEntity) {
      if ($id = Mapping::getEntityIdFromMapsId('object', (int) $relatedEntity[$this->getId()])) {
        $return = array_merge($return, $id);
      }
    }

    return !empty($return) ? $return : array(0);
  }

  /**
   * @inheritdoc
   */
  public function sanitize($values) {
    return is_array($values) ? $values : array($values);
  }

}
